Page MenuHomePhabricator

copies-rust: record overwrite when merging
ClosedPublic

Authored by marmoute on Dec 2 2020, 11:03 AM.

Details

Summary

When detecting fresh value (from current rev) overwriting older ones during
merges, we also record this overwrite for to help potential future comparison.

This does really have any performance effect right now, but it get use closer to
be able to drop all is_ancestors when merging.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Dec 2 2020, 11:03 AM
baymax retitled this revision from rust-copies: record overwrite when merging to copies-rust: record overwrite when merging.Dec 2 2020, 1:19 PM
baymax updated this revision to Diff 23963.
Alphare accepted this revision.Dec 14 2020, 4:57 AM
baymax updated this revision to Diff 24243.Dec 14 2020, 7:48 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 24360.Dec 17 2020, 3:48 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

pulkit accepted this revision.Dec 18 2020, 7:40 AM
This revision is now accepted and ready to land.Dec 18 2020, 7:40 AM
This revision was automatically updated to reflect the committed changes.